headless lms

Your progress in one course

GET /api/member/courses/{courseId}/progress. Your progress in one course. Headless LMS Progress API reference.

GET
/api/member/courses/{courseId}/progress

For a member of the organization, derived from the course's current structure. 404 when the course is not published or you do not hold it.

Path Parameters

courseId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/member/courses/string/progress"
{  "activities": {    "property1": "in-progress",    "property2": "in-progress"  },  "percent": 0,  "completed": true,  "positions": {    "property1": null,    "property2": null  }}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}